package com.io.yutian.aulib;

import com.io.yutian.aulib.lang.Lang;
import com.io.yutian.aulib.listener.GuiHandlerListener;
import org.bukkit.plugin.java.JavaPlugin;

public class AuLib extends JavaPlugin {

    private static AuLib instance;

    @Override
    public void onEnable() {
        instance = this;

        registerListeners();

        Lang.registerLangFile(this);
        Lang.reload(this);
    }

    private void registerListeners() {
        new GuiHandlerListener(this);
    }

    public static AuLib inst() {
        return instance;
    }

}
