package com.io.yutian.aulib.sql.util;

public enum DatabaseDriverType {

    MYSQL("com.mysql.jdbc.Driver"),
    SQLITE("org.sqlite.JDBC"),
    H2("org.h2.Driver");

    private String driverClassName;

    DatabaseDriverType(String driverClassName) {
        this.driverClassName = driverClassName;
    }

    public String getDriverClassName() {
        return driverClassName;
    }

}
